<!DOCTYPE HTML>
<html>
    <head>
        <title>Window Interactions Example</title>
    </head>
    <body>
        <p>
            <button id="scroll">Scroll</button>
            <button id="print">Print</button>
            <button id="close">Close</button>
        </p>
        <p>
            Wales is a small country located on the western fringes of Europe. 
			Wales is one of four countries in the UK (England, Scotland, and Northern Ireland are the others).
			The national language is Welsh, but this is only spoken by a minority of people in Wales 
			(typically the older generation and in rural areas). The national sport is rugby
			but football is also very popular, especially in Swansea :-)
            <br/>
			<img src="images/Wales.png" alt="wales"/>
			<br/>
			
			Norway is a Scandinavian country with close cultural links to Denmark and historical links 
			with Sweden and Finland. The capital city is Oslo, where the climate is relatively dry
			(with plenty of snow in the winter and quite warm days in the summer). Much of Norway
			lies inside the Artic Circle and the Northern Lights are a sight to behold.
            <br/>
			<img src="images/Norway.png" alt="norway"/>            
			<br/>
			
			It's interesting to ponder whether the UK or Norway will ever enter the European common currency.
			Resistance to the Euro is high in the UK, and the need for the Euro is neglibile in Norway!
			I guess we'll see :-)
			</p>
        <script>
            var buttons = document.getElementsByTagName("button");
            for (var i = 0; i < buttons.length; i++) {
                buttons[i].onclick = handleButtonPress;
            }
        
            function handleButtonPress(e) {
                if (e.target.id == "print") {
                    window.print();
                } else if (e.target.id == "close") {
                    window.close();
                } else {
                    window.scrollTo(0, 400);
                }
            }
        </script>     
    </body>
</html>
